#debuginfo not supported with Go
%global debug_package %{nil}
%global package_name helm
%global product_name OpenShift Tools and Services
%global golang_version 1.18
%global helm_version 3.10.1
%global helm_release 2
%global commitid add6b4d0bfd122afc3ec403812efb2079ee5a2f0
%global source_dir helm-%{commitid}
%global source_tar helm-add6b4d0bfd122afc3ec403812efb2079ee5a2f0.tar.gz

Name:           %{package_name}
Version:        %{helm_version}
Release:        %{helm_release}%{?dist}
Summary:        %{product_name} Helm binary for OpenShift ocp-tools-4.12-rhel-8
License:        ASL 2.0
URL:            https://github.com/redhat-developer/helm/commit/%{commitid}

ExclusiveArch:  x86_64 ppc64le s390x aarch64

Source0:        %{source_tar}
BuildRequires:  gcc
BuildRequires:  golang >= %{golang_version}
Provides:       %{package_name}
Obsoletes:      %{package_name}

%description
%{summary}

%package redistributable
Summary:        %{product_name} Helm binaries for Linux, Mac OSX, and Windows
BuildRequires:  gcc
BuildRequires:  golang >= %{golang_version}
Provides:       %{package_name}-redistributable
Obsoletes:      %{package_name}-redistributable

%description redistributable
%{summary}

%prep
%setup -q -n %{source_dir}
mkdir -p %{_builddir}/src/helm.sh
ln -sf $(pwd) %{_builddir}/src/helm.sh/helm

%global make GOPATH=%{_builddir} make -e GOFLAGS="-mod=vendor" VERSION="v%{helm_version}" VERSION_METADATA="%{release}" GIT_COMMIT=%{commitid}

%build
cd %{_builddir}/src/helm.sh/helm
%{make} build-cross

%install
install -d %{buildroot}%{_bindir}
install -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-$(go env GOHOSTARCH)/helm %{buildroot}%{_bindir}

%ifarch x86_64
install -d %{buildroot}%{_datadir}/%{name}-redistributable/{linux,macos,windows}
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-amd64/helm %{buildroot}%{_datadir}/%{name}-redistributable/linux/helm-linux-amd64
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-arm64/helm %{buildroot}%{_datadir}/%{name}-redistributable/linux/helm-linux-arm64
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-ppc64le/helm %{buildroot}%{_datadir}/%{name}-redistributable/linux/helm-linux-ppc64le
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-s390x/helm %{buildroot}%{_datadir}/%{name}-redistributable/linux/helm-linux-s390x
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/darwin-amd64/helm %{buildroot}%{_datadir}/%{name}-redistributable/macos/helm-darwin-amd64
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/darwin-arm64/helm %{buildroot}%{_datadir}/%{name}-redistributable/macos/helm-darwin-arm64
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/windows-amd64/helm.exe %{buildroot}%{_datadir}/%{name}-redistributable/windows/helm-windows-amd64.exe
%endif

%files
%license LICENSE
%{_bindir}/helm

%ifarch x86_64
%files redistributable
%license LICENSE
%dir %{_datadir}/%{name}-redistributable/linux/
%dir %{_datadir}/%{name}-redistributable/macos/
%dir %{_datadir}/%{name}-redistributable/windows/
%{_datadir}/%{name}-redistributable/linux/helm-linux-amd64
%{_datadir}/%{name}-redistributable/linux/helm-linux-arm64
%{_datadir}/%{name}-redistributable/linux/helm-linux-ppc64le
%{_datadir}/%{name}-redistributable/linux/helm-linux-s390x
%{_datadir}/%{name}-redistributable/macos/helm-darwin-amd64
%{_datadir}/%{name}-redistributable/macos/helm-darwin-arm64
%{_datadir}/%{name}-redistributable/windows/helm-windows-amd64.exe
%endif

%changelog
